# Enablde tests
%bcond_without check

# Build -java subpackage
%bcond_without java
%bcond_with java_tests

# Version
# Check sub pkg versions from version.json
# or from src/google/protobuf/compiler/versions.h
%define uversion          30.0
%define protobuf_cpp_ver  6.%{uversion}
%define protobuf_java_ver 4.%{uversion}

# Major
%define major           %{uversion}

# Library names
%define libname         %mklibname %{name} %{major}
%define liblite         %mklibname %{name}-lite %{major}
%define libcompiler     %mklibname protoc %{major}
%define develname       %mklibname %{name} -d

%define majorutf8       %{uversion}
%define libutf8         %mklibname utf8_range %{majorutf8}
%define devutf8         %mklibname utf8_range -d

#define rcver rc2

Summary:        Protocol Buffers - Google's data interchange format
Name:           protobuf
Version:        %{uversion}
Release:        %mkrel 3
License:        BSD
Group:          Development/Other
URL:            https://github.com/protocolbuffers/protobuf
Source0:        https://github.com/protocolbuffers/protobuf/archive/v%{version}%{?rcver}/%{name}-%{version}%{?rcver}-all.tar.gz
Source1:        ftdetect-proto.vim
Source10:       https://repo1.maven.org/maven2/com/google/protobuf/%{name}-java/%{protobuf_java_ver}/%{name}-java-%{protobuf_java_ver}.pom
Source11:       https://repo1.maven.org/maven2/com/google/protobuf/%{name}-javalite/%{protobuf_java_ver}/%{name}-javalite-%{protobuf_java_ver}.pom
Source12:       https://repo1.maven.org/maven2/com/google/protobuf/%{name}-java-util/%{protobuf_java_ver}/%{name}-java-util-%{protobuf_java_ver}.pom
Patch100:       protobuf-SOVERSION.patch
BuildRequires:  cmake
BuildRequires:  cmake(absl)
BuildRequires:  ninja
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(gtest)

%if ! %{with java}
Obsoletes:	protobuf-bom < %{protobuf_java_ver}-%{release}
Obsoletes:	protobuf-java < %{protobuf_java_ver}-%{release}
Obsoletes:	protobuf-java-util < %{protobuf_java_ver}-%{release}
Obsoletes:	protobuf-javadoc < %{protobuf_java_ver}-%{release}
Obsoletes:	protobuf-javalite < %{protobuf_java_ver}-%{release}
Obsoletes:	protobuf-parent < %{protobuf_java_ver}-%{release}
%endif

%description
Protocol Buffers are a way of encoding structured data in an efficient
yet extensible format. Google uses Protocol Buffers for almost all of
its internal RPC protocols and file formats.

Protocol buffers are a flexible, efficient, automated mechanism for
serializing structured data – think XML, but smaller, faster, and
simpler. You define how you want your data to be structured once, then
you can use special generated source code to easily write and read
your structured data to and from a variety of data streams and using a
variety of languages. You can even update your data structure without
breaking deployed programs that are compiled against the "old" format.

%package -n     %{libname}
Summary:        Runtime library for %{name}
Group:          System/Libraries
Version:        %{protobuf_cpp_ver}
Obsoletes:      %{_lib}protobuf6 < %{protobuf_cpp_ver}-%{release}

%description -n %{libname}
Protocol Buffers are a way of encoding structured data in an efficient
yet extensible format. Google uses Protocol Buffers for almost all of
its internal RPC protocols and file formats.

Protocol buffers are a flexible, efficient, automated mechanism for
serializing structured data - think XML, but smaller, faster, and
simpler. You define how you want your data to be structured once, then
you can use special generated source code to easily write and read
your structured data to and from a variety of data streams and using a
variety of languages. You can even update your data structure without
breaking deployed programs that are compiled against the "old" format.

This package contains the shared %{name} library.

%package -n     %{liblite}
Summary:        Protocol Buffers lite version
Group:          Development/Other
Version:        %{protobuf_cpp_ver}
Obsoletes:      %{_lib}protobuf-lite6 < %{protobuf_cpp_ver}-%{release}

%description -n %{liblite}
This package contains a compiled with "optimize_for = LITE_RUNTIME"
version of Google's Protocol Buffers library.

The "optimize_for = LITE_RUNTIME" option causes the compiler to
generate code which only depends libprotobuf-lite, which is much
smaller than libprotobuf but lacks descriptors, reflection, and some
other features.

%package -n     %{libutf8}
Summary:        Google's UTF8 Library
Group:          System/Libraries
Version:        %{protobuf_cpp_ver}
License:        MIT

%description -n %{libutf8}
Fast UTF-8 validation with Range algorithm (NEON+SSE4+AVX2).

%package        compiler
Summary:        Protocol Buffers compiler
Group:          Development/Other
Version:        %{protobuf_cpp_ver}
Recommends:     %{libname} = %{protobuf_cpp_ver}-%{release}
Recommends:     %{liblite} = %{protobuf_cpp_ver}-%{release}

%description    compiler
This package contains Protocol Buffers compiler for all programming
languages.

%package -n     %{libcompiler}
Summary:        Protocol Buffers compiler shared library
Group:          System/Libraries
Version:        %{protobuf_cpp_ver}
Obsoletes:      %{_lib}protoc6 < %{protobuf_cpp_ver}-%{release}

%description -n %{libcompiler}
This package contains the Protocol Buffers compiler shared library.

%package -n     %{develname}
Summary:        Protocol Buffers C++ headers and libraries
Group:          Development/Other
Version:        %{protobuf_cpp_ver}
Requires:       %{libname} = %{protobuf_cpp_ver}-%{release}
Requires:       %{liblite} = %{protobuf_cpp_ver}-%{release}
Requires:       %{libutf8} = %{protobuf_cpp_ver}-%{release}
Requires:       %{libcompiler} = %{protobuf_cpp_ver}-%{release}
Requires:       %{name}-compiler = %{protobuf_cpp_ver}-%{release}
Provides:       %{name}-devel = %{protobuf_cpp_ver}-%{release}

%description -n %{develname}
This package contains Protocol Buffers compiler for all languages and
C++ headers and libraries.

%package        vim
Summary:        Vim syntax highlighting for Google Protocol Buffers descriptions
Group:          Development/Other
Version:        %{protobuf_cpp_ver}
BuildArch:      noarch
Requires:       vim-enhanced

%description    vim
This package contains syntax highlighting for Google Protocol Buffers
descriptions in Vim editor.

%if %{with java}
%package java
Summary:        Java Protocol Buffers runtime library
Group:          Development/Java
Version:        %{protobuf_java_ver}
BuildArch:      noarch
BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.gson:gson)
BuildRequires:  mvn(com.google.guava:guava)
BuildRequires:  mvn(com.google.guava:guava-testlib)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.easymock:easymock)
%if %{with java_tests}
BuildRequires:  mvn(org.mockito:mockito-core)
BuildRequires:  mvn(com.google.truth:truth)
BuildRequires:  mvn(junit:junit)
%endif
BuildRequires:  protobuf-compiler

%description java
This package contains Java Protocol Buffers runtime library.

%package javalite
Summary:        Java Protocol Buffers lite runtime library
Group:          Development/Java
Version:        %{protobuf_java_ver}
BuildArch:      noarch

%description javalite
This package contains Java Protocol Buffers lite runtime library.

%package java-util
Summary:        Utilities for Protocol Buffers
Group:          Development/Java
Version:        %{protobuf_java_ver}
BuildArch:      noarch

%description java-util
Utilities to work with protos. It contains JSON support
as well as utilities to work with proto3 well-known types.

%package bom
Summary:        Protocol Buffer BOM POM
Group:          Development/Java
Version:        %{protobuf_java_ver}
BuildArch:      noarch

%description bom
Protocol Buffer BOM POM.

%package javadoc
Summary:        Javadoc for %{name}-java
Group:          Documentation
Version:        %{protobuf_java_ver}
BuildArch:      noarch

%description javadoc
This package contains the API documentation for %{name}-java.

%package parent
Summary:        Protocol Buffer Parent POM
Group:          Development/Java
Version:        %{protobuf_java_ver}
BuildArch:      noarch

%description parent
Protocol Buffer Parent POM.

%endif

%prep
%autosetup -p1

find -name \*.cc -o -name \*.h | xargs chmod -x

# https://github.com/protocolbuffers/protobuf/issues/8459
sed \
	-e "/^TEST(ArenaTest, BlockSizeSmallerThanAllocation) {$/a\\  if (sizeof(void*) == 4) {\n    GTEST_SKIP();\n  }" \
	-e "/^TEST(ArenaTest, SpaceAllocated_and_Used) {$/a\\  if (sizeof(void*) == 4) {\n    GTEST_SKIP();\n  }" \
	-i src/google/protobuf/arena_unittest.cc

# https://github.com/protocolbuffers/protobuf/issues/8460
sed -e "/^TEST(AnyTest, TestPackFromSerializationExceedsSizeLimit) {$/a\\  if (sizeof(void*) == 4) {\n    GTEST_SKIP();\n  }" -i src/google/protobuf/any_test.cc

%if %{with java}
cp %{SOURCE10} java/core/pom.xml
cp %{SOURCE11} java/lite/pom.xml
cp %{SOURCE12} java/util/pom.xml

# Remove unnecessary animal sniffer
%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin java/pom.xml

%pom_remove_dep com.google.errorprone:error_prone_annotations java/util/pom.xml
%pom_remove_dep com.google.j2objc:j2objc-annotations java/util/pom.xml

# Remove annotation libraries we don't have
annotations=$(
    find -name '*.java' |
      xargs grep -h -e '^import com\.google\.errorprone\.annotation' \
                    -e '^import com\.google\.j2objc\.annotations' |
      sort -u | sed 's/.*\.\([^.]*\);/\1/' | paste -sd\|
)
find -name '*.java' | xargs sed -ri \
    "s/^import .*\.($annotations);//;s/@($annotations)"'\>\s*(\((("[^"]*")|([^)]*))\))?//g'

# These use truth or error_prone_annotations or guava-testlib
rm -r java/util/src/test/java/com/google/protobuf/util
rm -r java/util/src/main/java/com/google/protobuf/util

# Make OSGi dependency on sun.misc package optional
%pom_xpath_inject "pom:configuration/pom:instructions" "<Import-Package>sun.misc;resolution:=optional,*</Import-Package>" java/core/pom_template.xml

# Backward compatibility symlink
%mvn_file :protobuf-java:jar: %{name}/%{name}-java %{name}

# This test is incredibly slow on arm
# https://github.com/google/protobuf/issues/2389
%ifarch %{arm32} s390x
mv java/core/src/test/java/com/google/protobuf/IsValidUtf8Test.java \
   java/core/src/test/java/com/google/protobuf/IsValidUtf8Test.java.slow
mv java/core/src/test/java/com/google/protobuf/DecodeUtf8Test.java \
   java/core/src/test/java/com/google/protobuf/DecodeUtf8Test.java.slow

mv java/core/src/test/java/com/google/protobuf/CheckUtf8Test.java \
   java/core/src/test/java/com/google/protobuf/CheckUtf8Test.java.slow
mv java/core/src/test/java/com/google/protobuf/Proto3SchemaTest.java \
   java/core/src/test/java/com/google/protobuf/Proto3SchemaTest.java.slow
mv java/core/src/test/java/com/google/protobuf/Proto3LiteSchemaTest.java \
   java/core/src/test/java/com/google/protobuf/Proto3LiteSchemaTest.java.slow
%endif
%endif

rm -f src/solaris/libstdc++.la

iconv -f iso8859-1 -t utf-8 CONTRIBUTORS.txt > CONTRIBUTORS.txt.utf8
mv CONTRIBUTORS.txt.utf8 CONTRIBUTORS.txt

%build
# -Wno-error=type-limits:
#     https://bugzilla.redhat.com/show_bug.cgi?id=1838470
#     https://github.com/protocolbuffers/protobuf/issues/7514
#     https://gcc.gnu.org/bugzilla/show_bug.cgi?id=95148
#  (also set in %%check)
export CXXFLAGS="%{build_cxxflags} -Wno-error=type-limits"
%cmake -GNinja \
  -Dprotobuf_VERBOSE:BOOL=ON \
  -Dprotobuf_BUILD_TESTS:BOOL=OFF \
  -Dprotobuf_BUILD_LIBPROTOC:BOOL=ON \
  -Dprotobuf_LOCAL_DEPENDENCIES_ONLY:BOOL=ON
%cmake_build

%if %{with java}
pushd java
protoc \
  --java_out=core/src/main/java \
  -I../src \
  ../src/google/protobuf/descriptor.proto \
  --proto_path=core/src/main/resources/google/protobuf \
   core/src/main/resources/google/protobuf/java_features.proto
popd
%ifarch %ix86 s390x %{arm32}
export MAVEN_OPTS=-Xmx1024m
%endif
%pom_disable_module kotlin java/pom.xml
%pom_disable_module kotlin-lite java/pom.xml
%mvn_build -s %{!?with_java_tests:--skip-tests} -- -f java/pom.xml
%endif

%if %{with check}
%check
export CXXFLAGS="%{build_cxxflags} -Wno-error=type-limits"
%ctest
%endif

%install
%cmake_install

install -p -m 644 -D %{SOURCE1} %{buildroot}%{_datadir}/vim/vimfiles/ftdetect/proto.vim
install -p -m 644 -D editors/proto.vim %{buildroot}%{_datadir}/vim/vimfiles/syntax/proto.vim

%if %{with java}
%mvn_install
%endif

%files
%license LICENSE
%doc README.md

%files -n %{libname}
%doc CONTRIBUTORS.txt README.md
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{liblite}
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}-lite.so.%{major}{,.*}

%files -n %{libutf8}
%doc third_party/utf8_range/README.md
%license third_party/utf8_range/LICENSE
%{_libdir}/libutf8_{range,validity}.so.%{major}
%{_libdir}/libutf8_{range,validity}.so.%{uversion}.*

%files compiler
%doc README.md
%license LICENSE
%{_bindir}/protoc{,-%{uversion}.*}
%{_bindir}/protoc-gen-upb{,-%{uversion}.*}
%{_bindir}/protoc-gen-upb_minitable{,-%{uversion}.*}
%{_bindir}/protoc-gen-upbdefs{,-%{uversion}.*}

%files -n %{libcompiler}
%{_libdir}/libprotoc.so.%{major}{,.*}

%files -n %{develname}
%doc examples/add_person.cc examples/addressbook.proto
%doc examples/list_people.cc examples/Makefile examples/README.md
%dir %{_includedir}/google/
%{_includedir}/google/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-lite.so
%{_libdir}/libprotoc.so
%{_libdir}/cmake/protobuf/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-lite.pc

%{_libdir}/pkgconfig/upb.pc
%{_libdir}/libupb.a
%{_includedir}/upb/

%{_libdir}/cmake/utf8_range/
%{_libdir}/pkgconfig/utf8_range.pc
%{_includedir}/utf8_range.h
%{_includedir}/utf8_validity.h
%{_libdir}/libutf8_range.so
%{_libdir}/libutf8_validity.so

%files vim
%{_datadir}/vim/vimfiles/ftdetect/proto.vim
%{_datadir}/vim/vimfiles/syntax/proto.vim

%if %{with java}
%files java -f .mfiles-protobuf-java
%doc examples/AddPerson.java examples/ListPeople.java
%doc java/README.md
%license LICENSE

%files java-util -f .mfiles-protobuf-java-util

%files javadoc -f .mfiles-javadoc
%license LICENSE

%files parent -f .mfiles-protobuf-parent
%license LICENSE

%files bom -f .mfiles-protobuf-bom
%license LICENSE

%files javalite -f .mfiles-protobuf-javalite
%license LICENSE
%endif


%changelog
* Sun Jul 06 2025 umeabot <umeabot> 30.0-3.mga10
+ Revision: 2247867
- Mageia 10 Mass Rebuild

* Fri Mar 14 2025 daviddavid <daviddavid> 30.0-2.mga10
+ Revision: 2163985
- re-enable java support

* Sun Mar 09 2025 wally <wally> 30.0-1.mga10
+ Revision: 2162137
- new version 30.0
- skip java pkg build for now
- switch to cmake + ninja build

* Sat Mar 01 2025 daviddavid <daviddavid> 21.12-8.mga10
+ Revision: 2154180
- fix build with java-21-openjdk
- rebuild for python 3.13

* Mon May 27 2024 ns80 <ns80> 21.12-7.mga10
+ Revision: 2068227
- rebuild for java 21

* Tue Dec 19 2023 daviddavid <daviddavid> 21.12-6.mga10
+ Revision: 2019765
- backport upstream patches to fix build with Python 3.11
- rebuild for py3.12

* Mon Jan 23 2023 daviddavid <daviddavid> 21.12-5.mga9
+ Revision: 1935385
- rebuild for missing pkgs on i586 arch
- re-enable also java on armv7 arch

* Fri Dec 23 2022 daviddavid <daviddavid> 21.12-4.mga9
+ Revision: 1926125
- re-enable java support

* Fri Dec 23 2022 wally <wally> 21.12-3.mga9
+ Revision: 1926065
- build python c++ implementation
- tighten devel pkg requires
- drop unneeded conflicts preventing devel + python pkg install

* Fri Dec 23 2022 wally <wally> 21.12-2.mga9
+ Revision: 1926042
- obsolete old java pkgs if they're not built

* Thu Dec 22 2022 wally <wally> 21.12-1.mga9
+ Revision: 1925749
- new version 21.12
- subpkgs uses their own version schema 3.21.12 and python pkg 4.21.12
- new lib major 32
- disable java build due to a missing animal-sniffer-maven-plugin

* Tue Dec 13 2022 daviddavid <daviddavid> 3.19.6-2.mga9
+ Revision: 1921778
- really disable java support on armv7hl
- new version: 3.19.6 (fixes CVE-2022-3171)
- disable java support on armv7hl

* Thu Dec 08 2022 daviddavid <daviddavid> 3.19.5-2.mga9
+ Revision: 1919634
- re-enable java support (on sync with fedora 37)

* Wed Oct 19 2022 ns80 <ns80> 3.19.5-1.mga9
+ Revision: 1897548
- new version 3.19.5 for CVE-2022-1941 (mga#30906)

* Tue Mar 29 2022 umeabot <umeabot> 3.19.4-2.mga9
+ Revision: 1833272
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 ns80 <ns80> 3.19.4-1.mga9
+ Revision: 1781094
- new version 3.19.4 for CVE-2021-22569 (mga#29876)
+ wally <wally>
- add modified Gentoo patch to build tests using system gtest

* Tue Dec 28 2021 wally <wally> 3.19.1-1.mga9
+ Revision: 1764952
- new version 3.19.1
- new lib major 30
- disable java pkg until we have all deps

* Sat Mar 20 2021 daviddavid <daviddavid> 3.14.0-2.mga9
+ Revision: 1705358
- rebuild for python 3.9

* Wed Dec 16 2020 luigiwalser <luigiwalser> 3.14.0-1.mga8
+ Revision: 1657949
- 3.14.0
- library major is now 25

* Mon Nov 30 2020 luigiwalser <luigiwalser> 3.13.0-1.mga8
+ Revision: 1650555
- 3.13.0
- library major is now 24
- remove upstreamed patch

* Wed Oct 14 2020 luigiwalser <luigiwalser> 3.12.4-1.mga8
+ Revision: 1636026
- 3.12.4
- add upstream patch via fedora to fix build failure

* Sun Jun 28 2020 daviddavid <daviddavid> 3.12.3-1.mga8
+ Revision: 1600152
- new version: 3.12.3
- now libmajor is 23

* Fri May 01 2020 daviddavid <daviddavid> 3.11.4-1.mga8
+ Revision: 1577496
- new version: 3.11.4

* Tue Feb 18 2020 umeabot <umeabot> 3.11.2-2.mga8
+ Revision: 1540937
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 18 2019 daviddavid <daviddavid> 3.11.2-1.mga8
+ Revision: 1468770
- new version: 3.11.2
- now libmajor is 22

* Wed Sep 18 2019 tv <tv> 3.6.1-3.mga8
+ Revision: 1443659
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jul 11 2019 daviddavid <daviddavid> 3.6.1-2.mga8
+ Revision: 1420478
- add Python3 support
- make the python2-xxx sub-pkg noarch
- switch to googletest 1.8.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 3.6.1-1.mga7
+ Revision: 1345921
- 3.6.1
- library major is now 17
- obsolete javanano subpackage

* Sun Sep 23 2018 umeabot <umeabot> 3.5.2-4.mga7
+ Revision: 1300382
- Mageia 7 Mass Rebuild

* Wed May 09 2018 tv <tv> 3.5.2-3.mga7
+ Revision: 1227865
- rename python-protobuf as python2-protobuf

* Sat Apr 14 2018 wally <wally> 3.5.2-2.mga7
+ Revision: 1218597
- fix java pkg RPM groups

* Sat Apr 14 2018 wally <wally> 3.5.2-1.mga7
+ Revision: 1218596
- new version 3.5.2
- sync java bits with Fedora

* Tue Feb 16 2016 umeabot <umeabot> 2.6.1-3.mga6
+ Revision: 962148
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 pterjan <pterjan> 2.6.1-2.mga6
+ Revision: 900408
- Disable java subpackage on arm

* Wed Aug 26 2015 daviddavid <daviddavid> 2.6.1-1.mga6
+ Revision: 869867
- new version: 2.6.1
- update URL and Source URL
- drop java-fixes patch, use pom macros instead
- update java BuildRequires
- build with xmvn
- update doc files lists
- switch to %%license macro

* Wed Aug 26 2015 daviddavid <daviddavid> 2.6.0-7.mga6
+ Revision: 869580
- rebuild for new gcc 5.2.1

* Mon Jan 19 2015 daviddavid <daviddavid> 2.6.0-6.mga5
+ Revision: 811482
- build with xmvn
- use .mfiles generated during build
- update Requires for -java subpackage
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 2.6.0-5.mga5
+ Revision: 740898
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps
- s/uggests:/Recommends:/

* Mon Sep 01 2014 luigiwalser <luigiwalser> 2.6.0-2.mga5
+ Revision: 670298
- library major is now 9
- 2.6.0
- rediff patch 2
+ pterjan <pterjan>
- Rebuild for new Python
- Do not BuildRequires maven-local when java build is disabled

* Tue Dec 31 2013 dmorgan <dmorgan> 2.5.0-1.mga4
+ Revision: 563486
- New version ( needed by infinispan and hibernate4)

* Tue Oct 22 2013 umeabot <umeabot> 2.4.1-7.mga4
+ Revision: 544923
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.4.1-6.mga4
+ Revision: 500483
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jan 29 2013 oden <oden> 2.4.1-5.mga3
+ Revision: 393188
- duh!, fix the problem properly (br: zlib-devel)

* Tue Jan 29 2013 oden <oden> 2.4.1-4.mga3
+ Revision: 393180
- fix build
- add one missing header

* Sun Jan 13 2013 umeabot <umeabot> 2.4.1-3.mga3
+ Revision: 378251
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 fwang <fwang> 2.4.1-2.mga3
+ Revision: 310142
- sync with fedora spec

* Fri Oct 26 2012 fwang <fwang> 2.4.1-1.mga3
+ Revision: 310125
- disable check till gcc 4.7 problem fixed
- use mvn
- cleanup spec and lock libmajor

* Fri Nov 18 2011 pterjan <pterjan> 2.4.1-1.mga2
+ Revision: 168995
- Fix groups
- Update to 2.4.1

* Fri May 20 2011 dmorgan <dmorgan> 2.3.0-11.mga1
+ Revision: 99925
- Define the major
- Sync packages names with mandriva ( better libification)

* Thu Apr 28 2011 dmorgan <dmorgan> 2.3.0-10.mga1
+ Revision: 93342
- Rename python package name
+ pterjan <pterjan>
- Drop ldconfig scriptlets

* Thu Apr 28 2011 dmorgan <dmorgan> 2.3.0-9.mga1
+ Revision: 93292
- Rebuild because of missing python package

* Wed Apr 27 2011 dmorgan <dmorgan> 2.3.0-8.mga1
+ Revision: 91988
- Rebuild after bootstrapping
- imported package protobuf


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 13 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.3.0-6
- Fix java subpackage bugs #669345 and #669346
- Use new maven plugin names
- Use mavenpomdir macro for pom installation

* Mon Jul 26 2010 David Malcolm <dmalcolm@redhat.com> - 2.3.0-5
- generalize hardcoded reference to 2.6 in python subpackage %%files manifest

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jul 15 2010 James Laska <jlaska@redhat.com> - 2.3.0-3
- Correct use of %%bcond macros

* Wed Jul 14 2010 James Laska <jlaska@redhat.com> - 2.3.0-2
- Enable python and java sub-packages

* Tue May 4 2010 Conrad Meyer <konrad@tylerc.org> - 2.3.0-1
- bump to 2.3.0

* Wed Sep 30 2009 Lev Shamardin <shamardin@gmail.com> - 2.2.0-2
- added export PTHREAD_LIBS="-lpthread"

* Fri Sep 18 2009 Lev Shamardin <shamardin@gmail.com> - 2.2.0-1
- Upgraded to upstream protobuf-2.2.0
- New -lite packages

* Sun Mar 01 2009 Caolán McNamra <caolanm@redhat.com> - 2.0.2-8
- add stdio.h for sprintf, perror, etc.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 23 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-6
- Small fixes for python 2.6 eggs.
- Temporarily disabled java subpackage due to build problems, will be fixed and
  turned back on in future.

* Thu Nov 27 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-5
- No problems with ppc & ppc64 arch in rawhide, had to do a release bump.

* Sat Nov 22 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-4
- Added patch from subversion r70 to workaround gcc 4.3.0 bug (see
  http://code.google.com/p/protobuf/issues/detail?id=45 for more
  details).

* Tue Nov 11 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-3
- Added conflicts to java and python subpackages to prevent using with
  wrong compiler versions.
- Fixed license.
- Fixed BuildRequires for -python subpackage.
- Fixed Requires and Group for -javadoc subpackage.
- Fixed Requires for -devel subpackage.
- Fixed issue with wrong shebang in descriptor_pb2.py.
- Specify build options via --with/--without.
- Use Fedora-packaged gtest library instead of a bundled one by
  default (optional).

* Fri Oct 31 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-2
- Use python_sitelib macro instead of INSTALLED_FILES.
- Fix the license.
- Fix redundant requirement for -devel subpackage.
- Fix wrong dependences for -python subpackage.
- Fix typo in requirements for -javadoc subpackage.
- Use -p option for cp and install to preserve timestamps.
- Remove unneeded ldconfig call for post scripts of -devel subpackage.
- Fix directories ownership.

* Sun Oct 12 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-1
- Update to version 2.0.2
- New -java and -javadoc subpackages.
- Options to disable building of -python and -java* subpackages

* Mon Sep 15 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.1-2
- Added -p switch to install commands to preserve timestamps.
- Fixed Version and Libs in pkgconfig script.
- Added pkgconfig requires for -devel package.
- Removed libtool archives from -devel package.

* Thu Sep 04 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.1-1
- Updated to 2.0.1 version.

* Wed Aug 13 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.0-0.1.beta
- Initial package version. Credits for vim subpackage and pkgconfig go
  to Rick L Vinyard Jr <rvinyard@cs.nmsu.edu>
